Subject: bug#39687: 26.3; Add customize-variable option for not locking keyboards

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Jul 2021 17:57:44 +0200

Logan Perkins <[email-masked]> writes:

> I *think* I have a patch that still fixes the current behavior, and
> does not reintroduce those two bugs, I've included it below.
> Basically, the fix for Bug#5095 should only be applied if we are in
> the right context.  If we're not, the if block above puts a
> Qswitch_frame at the head of the side queue and triggers
> replay_entire_sequence, so we just skip the second check.  It'll get
> run again and catch the interruption on the next pass, but in the
> right context.

I tried the various test cases, and the behaviour with your patch
clearly seems better to me, so I've applied it to Emacs 28.

But as Eli says, this is a ticklish area, so if this (re-)introduces
other bugs, we'll have to revert.

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no